sailpoint.api

## Class SailPointContext

- java.lang.Object
- - sailpoint.api.SailPointContext

    public class SailPointContext
    extends java.lang.Object

A context object class used to query for data This class is for old rules using SailPointContext. Any new rules submitted using the following methods will be blocked and asked to migrate to the replacement methods available in IDNRuleUtil These methods allow you to pass a class name to query on. The two classes supported are `Identity.class` and `Link.class`

### Constructor Summary

Constructors
Constructor and Description
`SailPointContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `countObjects(java.lang.Class className, QueryOptions queryOptions)` Query the context to get the number of objects for the given query
`<T> java.lang.Object` `getObjectByName(java.lang.Class className, java.lang.String name)` Query the context to get an object by name
`<T> java.util.List<T>` `getObjects(java.lang.Class className, QueryOptions queryOptions)` Query the context to get a list of objects for the given query
`<T> java.lang.Object` `getUniqueObject(java.lang.Class className, Filter... filters)` Query the context to get a unique object with filters
`java.util.Iterator<java.lang.Object[]>` `search(java.lang.Class className, QueryOptions queryOptions)` Query the context to get a list of results that match the given query
`java.util.Iterator<java.lang.Object[]>` `search(java.lang.Class className, QueryOptions queryOptions, java.lang.String attributes)` Query the context to get a list of results only including the attributes provided that match the given query

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SailPointContext

    public SailPointContext()

### Method Detail

#### countObjects

    public int countObjects(java.lang.Class className,
                            QueryOptions queryOptions)

Query the context to get the number of objects for the given query

Parameters:
  `className` - Identity or Link class
  `queryOptions` - options to filter results
Returns:
  the number of objects found

#### getObjects

    public <T> java.util.List<T> getObjects(java.lang.Class className,
                                            QueryOptions queryOptions)

Query the context to get a list of objects for the given query

Parameters:
  `className` - Identity or Link class
  `queryOptions` - options to filter results
Returns:
  the list of objects found

#### search

    public java.util.Iterator<java.lang.Object[]> search(java.lang.Class className,
                                                         QueryOptions queryOptions,
                                                         java.lang.String attributes)

Query the context to get a list of results only including the attributes provided that match the given query

Parameters:
  `className` - Identity or Link class
  `queryOptions` - options to filter results
  `attributes` - the attributes to return
Returns:

#### search

    public java.util.Iterator<java.lang.Object[]> search(java.lang.Class className,
                                                         QueryOptions queryOptions)

Query the context to get a list of results that match the given query

Parameters:
  `className` - Identity or Link class
  `queryOptions` - options to filter results
Returns:
  the results of the query

#### getObjectByName

    public <T> java.lang.Object getObjectByName(java.lang.Class className,
                                                java.lang.String name)

Query the context to get an object by name

Parameters:
  `className` - Identity or Link class
  `name` - the name of the object to fetch
Returns:
  the result of the query

#### getUniqueObject

    public <T> java.lang.Object getUniqueObject(java.lang.Class className,
                                                Filter... filters)

Query the context to get a unique object with filters

Parameters:
  `className` - Identity or Link class
  `filters` - options to filter by
Returns:
  the result of the query